summaryrefslogtreecommitdiffstats
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorCarl Eugen Hoyos <ceffmpeg@gmail.com>2019-04-19 18:04:33 +0200
committerCarl Eugen Hoyos <ceffmpeg@gmail.com>2019-04-24 01:42:56 +0200
commitd0ca749adbf266f3bd9028f4d50530ecfe30a5a8 (patch)
treee9f8ee6bc2712d301e95fa330c6b958d132397ab /tests/fate-run.sh
parent499b46fd0a891b6518f4e421aa2582dc70f700d9 (diff)
downloadffmpeg-streaming-d0ca749adbf266f3bd9028f4d50530ecfe30a5a8.zip
ffmpeg-streaming-d0ca749adbf266f3bd9028f4d50530ecfe30a5a8.tar.gz
tests/fate-run: New variable hostexecsuf for local fate tools.
Allows running fate in-tree on wsl with msvc.
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 56c4efb..2f1991d 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -5,7 +5,7 @@ export LC_ALL=C
base=$(dirname $0)
. "${base}/md5.sh"
-base64=tests/base64
+base64=tests/base64${HOSTEXECSUF}
test="${1#fate-}"
target_samples=$2
@@ -45,7 +45,7 @@ compare(){
}
do_tiny_psnr(){
- psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0) || return 1
+ psnr=$(tests/tiny_psnr${HOSTEXECSUF} "$1" "$2" $cmp_unit $cmp_shift 0) || return 1
val=$(expr "$psnr" : ".*$3: *\([0-9.]*\)")
size1=$(expr "$psnr" : '.*bytes: *\([0-9]*\)')
size2=$(expr "$psnr" : '.*bytes:[ 0-9]*/ *\([0-9]*\)')
@@ -206,7 +206,7 @@ enc_dec(){
ffmpeg $8 $DEC_OPTS -i $tencfile $ENC_OPTS $dec_opt $FLAGS \
-f $dec_fmt -y $tdecfile || return
do_md5sum $decfile
- tests/tiny_psnr $srcfile $decfile $cmp_unit $cmp_shift
+ tests/tiny_psnr${HOSTEXECSUF} $srcfile $decfile $cmp_unit $cmp_shift
}
transcode(){
@@ -455,7 +455,7 @@ audio_match(){
cleanfiles="$cleanfiles $decfile"
ffmpeg -i "$sample" -bitexact $extra_args -y $decfile
- tests/audiomatch $decfile $trefile
+ tests/audiomatch${HOSTEXECSUF} $decfile $trefile
}
concat(){
OpenPOWER on IntegriCloud